From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/xpra/
Date: Tue, 13 Jul 2021 21:48:49 +0000 (UTC) [thread overview]
Message-ID: <1626212910.8b60b0c57ec7326dfc8529b6452f83ea1dd5803e.chewi@gentoo> (raw)
commit: 8b60b0c57ec7326dfc8529b6452f83ea1dd5803e
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 13 21:48:30 2021 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Tue Jul 13 21:48:30 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b60b0c5
x11-wm/xpra: Version bump to 4.2.1
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
x11-wm/xpra/Manifest | 1 +
x11-wm/xpra/xpra-4.2.1.ebuild | 170 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 171 insertions(+)
diff --git a/x11-wm/xpra/Manifest b/x11-wm/xpra/Manifest
index addfc19c3ae..59734fa8ff1 100644
--- a/x11-wm/xpra/Manifest
+++ b/x11-wm/xpra/Manifest
@@ -1,3 +1,4 @@
DIST xpra-3.0.5.tar.xz 2752016 BLAKE2B a36d6a4ebb0b14665014da92d510c0d5f978c96db653709ddc09a1015426d6ac6f71f9a221db68ee1114c95eeaca6600f9e49102ce9f936d9b0ee298ac432647 SHA512 3dbc122ebc8c4aa67154acfe92668ac364d8469022b03e28946d763e4d396f8c707690b2a4dbf07b55545259a53b46c9dd94e6e40131289ccc3dce6a88107681
DIST xpra-4.1.3.tar.gz 3850971 BLAKE2B b5f5a0546c785762974f27650408cb83fdfa2ac8a5b5dd8c6b08a9978ff17a0dfc85f95fde405689a19517ef66bcc7aefc1dad71acc2dda7883ed38d3c22b91c SHA512 e401793ae9a4539d39bc161be4d34af2dca81c78f189664d8ebdefff99d413d364d4ceb37dd776b027b206119da81957ef7436a727c00d3ad5895a3c90742e39
+DIST xpra-4.2.1.tar.gz 3878766 BLAKE2B c537b54b8ea5cc1ad2909eeccf61eba59a518165eb72c7d4984d26f378e4babca997c2f6cf78f5ba947edbc4ad6c4085c86793aad9b01f1fca2b22b1daaabda9 SHA512 553d8c11f1a77a2a58cbad7df0d899c611e21eb01dad3516f99f1fb9cc7a4507ba7557807b62ddea7101ca01bab123962a34b9c3369db06d1bb318debd91dc55
DIST xpra-4.2.tar.gz 4057304 BLAKE2B 17b6a95f7ce24a311c39d09291d9570285c30f25c2d935389cb380c2fce698acd984821e69acaabd66368e76b5beddd01803a68d6a16dd930dd2fa3289532f10 SHA512 261d46c04ce70686f41873c5c0c115e462e3b2501c58ab05fb2904f4700454c5fb8124d0faf86fe5e982872f19a4b90b941f8aff4790f7206602d6030c005353
diff --git a/x11-wm/xpra/xpra-4.2.1.ebuild b/x11-wm/xpra/xpra-4.2.1.ebuild
new file mode 100644
index 00000000000..1f8dc0a75fa
--- /dev/null
+++ b/x11-wm/xpra/xpra-4.2.1.ebuild
@@ -0,0 +1,170 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_SINGLE_IMPL=yes
+DISTUTILS_USE_SETUPTOOLS=no
+inherit xdg distutils-r1 tmpfiles prefix udev
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based on wimpiggy"
+HOMEPAGE="https://xpra.org/"
+SRC_URI="https://xpra.org/src/${P}.tar.gz"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="brotli +client +clipboard csc cups dbus doc ffmpeg jpeg ibus +lz4 lzo minimal opengl pillow pinentry pulseaudio server sound test vpx webcam webp"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ || ( client server )
+ cups? ( dbus )
+ opengl? ( client )
+"
+
+DEPEND="
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP},cairo]
+ opengl? ( dev-python/pyopengl[${PYTHON_USEDEP}] )
+ sound? ( dev-python/gst-python:1.0[${PYTHON_USEDEP}] )
+ ')
+ x11-libs/gtk+:3[introspection]
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ x11-libs/libxkbfile
+ brotli? ( app-arch/brotli )
+ csc? ( >=media-video/ffmpeg-1.2.2:0= )
+ ffmpeg? ( >=media-video/ffmpeg-3.2.2:0=[x264,x265] )
+ jpeg? ( media-libs/libjpeg-turbo )
+ pulseaudio? (
+ media-sound/pulseaudio
+ media-plugins/gst-plugins-pulse:1.0
+ )
+ sound? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ vpx? ( media-libs/libvpx media-video/ffmpeg )
+ webp? ( media-libs/libwebp )
+"
+RDEPEND="
+ ${DEPEND}
+ $(python_gen_cond_dep '
+ dev-python/netifaces[${PYTHON_USEDEP}]
+ dev-python/rencode[${PYTHON_USEDEP}]
+ dev-python/pillow[jpeg?,${PYTHON_USEDEP}]
+ cups? ( dev-python/pycups[${PYTHON_USEDEP}] )
+ dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+ lz4? ( dev-python/lz4[${PYTHON_USEDEP}] )
+ lzo? ( >=dev-python/python-lzo-0.7.0[${PYTHON_USEDEP}] )
+ opengl? (
+ client? ( dev-python/pyopengl_accelerate[${PYTHON_USEDEP}] )
+ )
+ webcam? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pyinotify[${PYTHON_USEDEP}]
+ media-libs/opencv[${PYTHON_USEDEP},python]
+ )
+ ')
+ acct-group/xpra
+ virtual/ssh
+ x11-apps/xmodmap
+ ibus? ( app-i18n/ibus )
+ pinentry? ( app-crypt/pinentry )
+ server? (
+ x11-base/xorg-server[-minimal,xvfb]
+ x11-drivers/xf86-input-void
+ )
+"
+BDEPEND="
+ virtual/pkgconfig
+ $(python_gen_cond_dep '
+ >=dev-python/cython-0.16[${PYTHON_USEDEP}]
+ ')
+ doc? ( app-text/pandoc )
+"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.0.2_ignore-gentoo-no-compile.patch
+ "${FILESDIR}"/${PN}-3.0.2-ldconfig.patch
+ "${FILESDIR}"/${PN}-4.2-suid-warning.patch
+)
+
+pkg_postinst() {
+ tmpfiles_process /usr/lib/tmpfiles.d/xpra.conf
+
+ xdg_pkg_postinst
+}
+
+python_prepare_all() {
+ hprefixify -w '/os.path/' setup.py
+ hprefixify tmpfiles.d/xpra.conf xpra/server/server_util.py \
+ xpra/platform{/xposix,}/paths.py xpra/scripts/server.py
+
+ sed -r -e "/\bdoc_dir =/s:/${PN}\":/${PF}/html\":" \
+ -i setup.py || die
+
+ if use minimal; then
+ sed -r -e 's/^(pam|scripts|xdg_open)_ENABLED.*/\1_ENABLED=False/' \
+ -i setup.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ sed -e "/'pulseaudio'/s:DEFAULT_PULSEAUDIO:$(usex pulseaudio True False):" \
+ -i setup.py || die
+
+ mydistutilsargs=(
+ --without-PIC
+ --without-Xdummy
+ $(use_with client)
+ $(use_with clipboard)
+ $(use_with csc csc_swscale)
+ --without-csc_libyuv
+ --without-cuda_rebuild
+ --without-cuda_kernels
+ $(use_with cups printing)
+ --without-debug
+ $(use_with dbus)
+ $(use_with doc docs)
+ $(use_with ffmpeg dec_avcodec2)
+ $(use_with ffmpeg enc_ffmpeg)
+ $(use_with ffmpeg enc_x264)
+ $(use_with ffmpeg enc_x265)
+ --with-gtk3
+ $(use_with jpeg jpeg_encoder)
+ $(use_with jpeg jpeg_decoder)
+ --without-mdns
+ $(use_with opengl)
+ $(use_with server shadow)
+ $(use_with server)
+ $(use_with sound)
+ --with-strict
+ $(use_with vpx)
+ --with-warn
+ $(use_with webcam)
+ $(use_with webp)
+ --with-x11
+ )
+
+ export XPRA_SOCKET_DIRS="${EPREFIX}/run/xpra"
+}
+
+python_install_all() {
+ distutils-r1_python_prepare_all
+
+ # Move udev dir to the right place.
+ local dir=$(get_udevdir)
+ dodir "${dir%/*}"
+ mv -vnT "${ED}"/usr/lib/udev "${ED}${dir}" || die
+}
next reply other threads:[~2021-07-13 21:48 UTC|newest]
Thread overview: 153+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-13 21:48 James Le Cuirot [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 17:19 [gentoo-commits] repo/gentoo:master commit in: x11-wm/xpra/ Sam James
2024-07-06 14:09 James Le Cuirot
2024-06-30 22:23 James Le Cuirot
2024-06-28 8:50 James Le Cuirot
2024-06-14 12:26 Michał Górny
2024-06-10 19:50 Arthur Zamarin
2024-06-10 19:50 Arthur Zamarin
2023-10-27 15:20 Michał Górny
2023-10-14 20:34 James Le Cuirot
2023-07-27 7:07 Sam James
2023-06-27 13:38 Benda XU
2023-06-27 13:38 Benda XU
2023-06-26 22:33 James Le Cuirot
2023-06-24 14:32 James Le Cuirot
2023-06-17 12:46 James Le Cuirot
2023-06-11 19:54 Arthur Zamarin
2023-06-11 19:54 Arthur Zamarin
2023-06-10 18:03 Andreas Sturmlechner
2023-06-10 18:03 Andreas Sturmlechner
2023-06-10 18:03 Andreas Sturmlechner
2023-06-08 22:35 Sam James
2023-06-07 8:42 Pacho Ramos
2023-06-07 8:42 Pacho Ramos
2023-05-23 20:26 James Le Cuirot
2023-05-20 20:22 James Le Cuirot
2023-05-16 22:16 James Le Cuirot
2023-05-16 21:55 James Le Cuirot
2023-05-14 14:54 James Le Cuirot
2023-05-14 14:54 James Le Cuirot
2023-05-14 8:45 James Le Cuirot
2023-05-01 7:46 Arthur Zamarin
2023-04-22 16:00 Arthur Zamarin
2023-03-17 5:32 Michał Górny
2023-02-01 15:28 Benda XU
2022-09-04 10:57 James Le Cuirot
2022-08-29 12:49 Jakov Smolić
2022-07-06 6:06 Sam James
2022-06-22 21:40 James Le Cuirot
2022-05-26 22:08 James Le Cuirot
2022-05-22 10:54 James Le Cuirot
2022-04-29 9:34 James Le Cuirot
2022-03-11 19:40 Andreas K. Hüttel
2022-02-27 10:19 James Le Cuirot
2022-02-27 9:46 James Le Cuirot
2022-02-27 9:46 James Le Cuirot
2022-01-28 16:26 James Le Cuirot
2022-01-28 13:44 James Le Cuirot
2022-01-16 23:06 James Le Cuirot
2022-01-15 23:31 James Le Cuirot
2021-10-06 12:08 James Le Cuirot
2021-07-30 22:55 David Seifert
2021-07-18 6:35 Agostino Sarubbo
2021-07-18 6:33 Agostino Sarubbo
2021-05-30 7:56 James Le Cuirot
2021-04-23 10:40 James Le Cuirot
2021-04-23 10:40 James Le Cuirot
2021-04-16 11:23 Sam James
2021-04-07 23:05 James Le Cuirot
2021-04-07 23:05 James Le Cuirot
2021-03-08 12:05 James Le Cuirot
2021-03-02 13:25 James Le Cuirot
2021-03-02 13:25 James Le Cuirot
2021-01-19 22:38 James Le Cuirot
2021-01-19 22:38 James Le Cuirot
2021-01-19 22:38 James Le Cuirot
2021-01-19 22:38 James Le Cuirot
2020-12-28 15:07 Benda XU
2020-10-31 11:20 Mikle Kolyada
2020-10-24 15:33 Andreas K. Hüttel
2020-10-18 18:06 Thomas Deutschmann
2020-10-17 22:20 Andreas K. Hüttel
2020-10-16 17:09 Andreas K. Hüttel
2020-10-14 10:51 Alexey Shvetsov
2020-06-08 20:54 Alexey Shvetsov
2020-06-08 20:54 Alexey Shvetsov
2020-04-26 11:00 David Seifert
2020-04-26 8:18 Mikle Kolyada
2020-01-28 0:57 Benda XU
2020-01-27 12:13 Agostino Sarubbo
2020-01-27 3:02 Thomas Deutschmann
2020-01-26 8:09 Andreas K. Hüttel
2020-01-16 9:17 Andreas K. Hüttel
2019-12-01 12:29 Benda XU
2019-12-01 4:26 Benda XU
2019-11-29 19:53 Alexey Shvetsov
2019-11-29 19:53 Alexey Shvetsov
2019-10-30 11:49 Alexey Shvetsov
2019-01-27 5:30 Benda XU
2018-12-02 22:39 Andreas K. Hüttel
2018-12-02 22:22 Andreas K. Hüttel
2018-10-19 8:51 Michał Górny
2018-09-14 14:28 Alexey Shvetsov
2018-04-19 20:11 Mikle Kolyada
2018-04-17 22:09 Thomas Deutschmann
2018-04-16 22:46 Michael Weber
2018-01-28 20:30 Michael Weber
2018-01-28 19:04 Michael Weber
2018-01-18 5:18 Benda XU
2018-01-16 22:38 Michael Weber
2018-01-14 16:23 Thomas Deutschmann
2017-12-22 14:01 Jason Zaman
2017-12-22 9:55 Michael Weber
2017-12-08 17:37 Michael Weber
2017-12-08 17:37 Michael Weber
2017-12-08 17:37 Michael Weber
2017-12-08 17:37 Michael Weber
2017-08-31 18:09 Michael Weber
2017-08-31 18:09 Michael Weber
2017-08-29 23:16 Thomas Deutschmann
2017-08-29 23:16 Thomas Deutschmann
2017-07-31 11:52 Tobias Klausmann
2017-07-31 11:50 Tobias Klausmann
2017-07-20 7:31 Michael Weber
2017-06-14 19:06 Michael Weber
2017-06-14 19:04 Michael Weber
2017-05-16 20:56 Michael Weber
2017-04-17 8:02 Agostino Sarubbo
2017-04-05 12:55 Agostino Sarubbo
2017-04-05 0:03 Michael Weber
2017-03-13 7:43 Michael Weber
2017-03-09 17:43 Michael Weber
2017-02-20 0:08 Michael Weber
2017-02-20 0:08 Michael Weber
2017-02-07 23:35 Michael Weber
2017-02-07 23:27 Michael Weber
2017-02-07 23:20 Michael Weber
2017-02-07 23:09 Michael Weber
2017-02-01 21:11 Michael Weber
2017-01-25 23:06 Michael Weber
2017-01-25 20:40 Michael Weber
2017-01-22 23:23 Michael Weber
2017-01-22 23:17 Michael Weber
2016-12-10 20:40 Michael Weber
2016-08-31 10:49 Michael Weber
2016-07-03 9:52 Michael Weber
2016-07-03 9:31 Michael Weber
2016-06-16 19:55 Michael Weber
2016-06-16 19:47 Michael Weber
2016-03-27 17:32 Michael Palimaka
2016-02-25 14:52 Michael Weber
2016-02-23 6:46 Michael Weber
2016-02-22 13:37 Michael Weber
2016-02-22 13:37 Michael Weber
2016-02-22 11:44 Michael Weber
2016-01-08 10:27 Michael Weber
2015-12-14 20:35 Michael Weber
2015-11-15 19:37 Michael Weber
2015-11-11 9:12 Agostino Sarubbo
2015-11-09 10:31 Agostino Sarubbo
2015-10-18 20:07 Michael Weber
2015-09-19 12:32 Agostino Sarubbo
2015-09-15 12:19 Michael Weber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1626212910.8b60b0c57ec7326dfc8529b6452f83ea1dd5803e.chewi@gentoo \
--to=chewi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox